For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
Data API

List Plugin Resources

||View as Markdown|
GET
/plugin-resources
GET
/export/v1/records/plugin-resources
$curl -G https://api.moveworks.ai/export/v1/records/plugin-resources \
> -H "Authorization: <apiKey>" \
> --data-urlencode "$filter=user_id eq '123456'" \
> --data-urlencode $select=id,created_time \
> --data-urlencode "$orderby=user_id desc" \
> -d $top=10 \
> -d $skip=10 \
> -d $count=true
1{
2 "@odata.context": "https://api.moveworks.ai/export/v1/records/$metadata#plugin-resources",
3 "@odata.nextLink": "https://api.moveworks.ai/export/v1/records/plugin-resources?$skiptoken=abcdefghijklmno",
4 "value": [
5 {
6 "id": "85FnUWaV5pZQ",
7 "resource_id": "12422565931618640979",
8 "type": "RESOURCE_TYPE_KNOWLEDGE",
9 "plugin_call_id": "sKCETbg7VR9w",
10 "interaction_id": "1jG2YF0RfoM-",
11 "user_id": "1812312452353242",
12 "conversation_id": "OvuW8JR7-1yu",
13 "detail": {
14 "domain": "IT",
15 "external_resource_id": "KB10123423",
16 "name": "Operations & Performance review",
17 "snippet": "An operations and performance review is a critical examination of a company's operational processes, efficiency, and overall performance.\n The objective is to assess whether the organization's day-to-day activities align with its strategic goals, identify bottlenecks, and recommend improvements.",
18 "source": "string",
19 "type": "string",
20 "url": "https://starcompany.servicenow.com/servicedesk/KB12434"
21 },
22 "cited": true,
23 "created_time": "2023-01-01T00:00:00Z",
24 "last_updated_time": "2023-01-01T00:00:00Z"
25 }
26 ]
27}
Retrieve all resources used by AI Assistant during an interaction.
Was this page helpful?
Previous

List Users

Next
Built with

Authentication

Authorizationstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

$filterstringOptional
This option allows the client to filter the resource that is address by request URL
$selectstringOptional
This option allow the client to request a limited set of properties of an entity
$orderbystringOptional
This option allow the client to request resources in either ascending or descending order
$topintegerOptional
This option request the number of items to be included in the result
$skipintegerOptional
This query option requests the number of items in the queried collection that are to be skipped and not included in the result.
$countbooleanOptional
This option allows clients to request a count of the matching resources included with the resources in the result

Response

Successfully retrieved list of interactions
@odata.contextstring
URL to the metadata of the response.
@odata.nextLinkstring
URL to fetch the next set of results.
valuelist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error